<div class="ui menu top fixed">
  <a class="item" (click)="onOpenCreateTreeModal()">
    <i class="folder plus icon large"></i>
  </a>
  <a class="item" (click)="onOpenExistingTree()">
    <i class="folder open icon large"></i>
  </a>
  <a class="item" (click)="onSaveBinaryTree()">
    <i class="save icon large"></i>
  </a>
  <a class="item" *ngIf="binaryTreeService.currentTree !== undefined" (click)="onEditBinaryTreeConf()">
    <i class="project diagram icon"></i>
  </a>

  <div style="width: 100%; display: flex;justify-content: center; align-items: center;">
    <span>{{ binaryTreeService.currentTree ? binaryTreeService.currentTree.treeName : 'No binary tree loaded' }}</span>
  </div>
  <div class="right menu">
    <a class="item">
      <i class="cog icon large"></i>
    </a>
    <a class="item" (click)="onReloadPage()">
      <i class="sync alternate icon large"></i>
    </a>
  </div>
</div>

<div *ngIf="binaryTreeService.currentTree" class="ui vertical icon menu tool-box">
  <a class="item" (click)="onAddNode()">
    <i class="plus circle icon"></i>
  </a>
  <div class="item">
    {{ getZoomStr() }}
  </div>
  <a class="item" *ngIf="currentNodeAction !== NODE_ACTION_ENUM.NONE">
    <i *ngIf="currentNodeAction === NODE_ACTION_ENUM.SET_PARENT" class="circle icon large blue"></i>
    <i *ngIf="currentNodeAction === NODE_ACTION_ENUM.SET_SUCCESS" class="circle icon large green"></i>
    <i *ngIf="currentNodeAction === NODE_ACTION_ENUM.SET_FAILURE" class="circle icon large red"></i>
  </a>
</div>

<canvas id="mainCanvas" style="position: absolute;">
  Your browser does not support the HTML5 canvas tag.</canvas>

<app-save-loader></app-save-loader>

<main style="width: 100%;">
  <div class="node noselect clone" data-node-id="12">
    <div class="node-parent-connection-container">
      <i class="circle icon large blue parent-node-icon"></i>
    </div>

    <div class="node-content-offset node-top-container">
      <span class="node-id">
        12
      </span>

      <div class="actions-container">
        <i class="trash icon large remove-node icon-margin"></i>
        <i class="clone icon large icon-margin clone-node"></i>
        <i class="pen icon large edit-node icon-margin"></i>
        <i class="arrows alternate icon large move-node"></i>
      </div>
    </div>
    <div class="node-content-offset node-name-container">
      <span class="node-name">HasAccountToConnect</span>
    </div>
    <div class="node-child-connection-container" style="display: flex; justify-content: space-around;">
      <i class="circle icon large green success-node-icon"></i>
      <i class="circle icon large red failure-node-icon"></i>
    </div>
  </div>

</main>

<div class="ui menu bottom fixed" id="bottom-menu"
  [ngClass]="{ 'invisible': currentNodeAction !== NODE_ACTION_ENUM.EDIT }">
  <div class="item">
    <div style="display: flex; align-items: center;">
      <span>Id: {{ currentNode?.id }}</span>
      <div class="ui input" style="margin: 0 15px;">
        <input type="text" [value]="currentNode?.name" id="node-name-input">
      </div>
      <button class="ui button green" (click)="changeNodeName()"><i class="check icon"></i></button>
      <button *ngIf="currentNode?.hasBeenCloned === false" class="ui button blue" (click)="setRootNode()">Root</button>
    </div>
  </div>
</div>

<app-create-project-modal></app-create-project-modal>